## INTRODUCTION

The Honeycronpot module is a custom solution for dynamically managing Honeypot field configurations in Drupal. This module automatically updates the element_name for Honeypot protection via Cron jobs, ensuring that bots cannot easily bypass form protection by rotating the name of the hidden honeypot field. This helps improve security and anti-spam measures on your site.

The primary use case for this module is:

- Dynamically rotating Honeypot field names to improve bot detection.
- Automating the configuration of Honeypot protection on forms.
- Running the field name rotation via Cron to ensure optimal security.

## REQUIREMENTS

- Drupal 10 or higher.
- Honeypot module installed and enabled.
- Cron jobs configured to run the module's tasks.

## INSTALLATION

Install as you would normally install a contributed Drupal module.
See: https://www.drupal.org/node/895232 for further information.

1. Download the module using Composer:
   ```bash
   composer require drupal/honeycronpot
   ```

2. Install the module either via Drush or through the Drupal admin interface:
- Using Drush:
   ```bash
   drush en honeycronpot
   ```
- Using the Drupal admin interface:
   - Navigate to Extend (admin/modules).
   - Find "Honeycronpot" in the list and enable it.

3. Ensure that Cron is configured correctly on your site, as this module requires Cron to function properly.


## CONFIGURATION

After installing the Honeycronpot module, configure it as follows:
1.	Go to Configuration > Honeypot Settings.
2.	The module will automatically generate a dynamic element_name for Honeypot fields, which can be modified or rotated as needed.
3.	Ensure that Cron is enabled and running, as the module relies on Cron to periodically update the Honeypot element name.
4.	Optionally, customize the prefixes and base names that the module uses for the dynamic element name.

## MAINTAINERS

Current maintainers for Drupal 10:

- Valentin Golemanski (valegole) - https://www.drupal.org/u/valegole

